<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Blogable
 * @since  Blogable 1.0.0
 */

$wp_customize->add_section( 'blogable_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','blogable' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'blogable' ),
		'panel'             => 'blogable_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'blogable_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'blogable_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  Blogable_Switch_Control( $wp_customize,
	'blogable_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'blogable' ),
			'section'          	=> 'blogable_breadcrumb',
			'on_off_label' 		=> blogable_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'blogable_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'blogable_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'blogable' ),
		'active_callback' 	=> 'blogable_is_breadcrumb_enable',
		'section'          	=> 'blogable_breadcrumb',
	)
);
